# pixmap class

This class provide a pixmap.

Inherits
object widget
Description
The pixmap class is an off-screen, pixel-based paint device.
Functions

`$fill(<widget:object>,<x_offset:integer>,<y:offset>)`
Fills the pixmap with the widget's background color or pixmap. Note that x_offset, y_offest are offsets in the widget.
`$resize(<width:integer>,<height:integer>)`
Resizes the pixmap to w width and h height. Set wh or hg to 0, to have a null pixmap.
`$scale(<width:integer>,<height:integer>,[<aspect_ratio:string>])`

Scales the pixmap or the animation by sx horizontally and sy vertically. Aspect_ratio values: - IgnoreAspectRatio:the pixmap is scaled ignoring his aspect ratio. - KeepAspectRatio: pixmap is scaled to a rectangle as large as possible inside size, preserving the aspect ratio. - KeepAspectRatioByExpanding, the pixmap is scaled to a rectangle as small as possible outside size, preserving the aspect ratio. Default value is KeepAspectRatio.

`$load(<file_name:string>)`
Load a pixmap from the file <file_name>.
`$save(<file_name:string>)`
Save the pixmap or the current animation frame to the file <file_name>.
`$loadAnimation(<file_name:string>)`
Load an animation from the file <file_name> and start it.
`$startAnimation()`
Start the animation.
`$stopAnimation()`
Stop the animation.
`<integer> $height()`
Return the height of the pixmap or of the animation.
`<integer> $width()`
Return the width of the pixmap or of the animation.
`$frameChangedEvent()`
This event is triggered by KVIrc when the current animation frame changes.

Signals

`$frameChanged()`
This signal is emitted by the default implementation of $frameChangedEvent().

Index, Object Classes

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011